Package com.sun.mail.imap.protocol

# Class MessageSet

java.lang.Object
com.sun.mail.imap.protocol.MessageSet

public class MessageSet extends Object
This class holds the 'start' and 'end' for a range of messages.

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`end`
`int`
`start`

## Constructor Summary

Constructors
Constructor
Description
`MessageSet()`
`MessageSet(int start, int end)`

## Method Summary

Modifier and Type
Method
Description
`static MessageSet[]`
`createMessageSets(int[] msgs)`
Convert an array of integers into an array of MessageSets
`int`
`size()`
Count the total number of elements in a MessageSet
`static int`
`size(MessageSet[] msgsets)`
`static String`
`toString(MessageSet[] msgsets)`
Convert an array of MessageSets into an IMAP sequence range

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### start

public int start

### end

public int end

## Constructor Details

### MessageSet

public MessageSet()

### MessageSet

public MessageSet(int start, int end)

## Method Details

### size

public int size()
Count the total number of elements in a MessageSet

Returns:
  how many messages in this MessageSet

### createMessageSets

public static MessageSet[] createMessageSets(int[] msgs)
Convert an array of integers into an array of MessageSets

Parameters:
  `msgs` - the messages
Returns:
  array of MessageSet objects

### toString

public static String toString(MessageSet[] msgsets)
Convert an array of MessageSets into an IMAP sequence range

Parameters:
  `msgsets` - the MessageSets
Returns:
  IMAP sequence string

### size

public static int size(MessageSet[] msgsets)